Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members

# SoMFMatrix Class Reference
[Field classes]

The SoMFMatrix class is a container for SbMatrix values. More...

`#include <Inventor/fields/SoMFMatrix.h>`

Inheritance diagram for SoMFMatrix:

List of all members.

## Public Methods
void | setValue (const float a11, const float a12, const float a13, const float a14, const float a21, const float a22, const float a23, const float a24, const float a31, const float a32, const float a33, const float a34, const float a41, const float a42, const float a43, const float a44)
## Static Public Methods
void | initClass (void)

## Detailed Description

The SoMFMatrix class is a container for SbMatrix values.

This field is used where nodes, engines or other field containers needs to store matrices.

See also:
  SoSFMatrix

## Member Function Documentation

void SoMFMatrix::initClass | ( | void |  | ) | `[static]`

| Internal method called upon initialization of the library (from SoDB::init()) to set up the type system. Reimplemented from SoMField.

void SoMFMatrix::setValue | ( | const float | a11,
|  | const float | a12,
|  | const float | a13,
|  | const float | a14,
|  | const float | a21,
|  | const float | a22,
|  | const float | a23,
|  | const float | a24,
|  | const float | a31,
|  | const float | a32,
|  | const float | a33,
|  | const float | a34,
|  | const float | a41,
|  | const float | a42,
|  | const float | a43,
|  | const float | a44
| ) |

| Set field value array to a single matrix with the given components.

The documentation for this class was generated from the following files:

- SoMFMatrix.h
- SoMFMatrix.cpp